invalidate_inodes
Prev | Inode Handling | Next

## Name

invalidate_inodes — discard the inodes on a device

## Synopsis

`int invalidate_inodes (` | struct super_block * | sb`)`;

## Arguments

`sb`

  superblock

## Description

Discard all of the inodes for a given superblock. If the discard fails because there are busy inodes then a non zero value is returned. If the discard is successful all the inodes have been discarded.

Prev | Up | Next
clear_inode | Home | new_inode